词汇/BearerWrite
Record personal vocabulary review
Record one review result for a personal vocabulary entry and update spaced-repetition progress.
Endpoint
POST
/api/v1/agent/capabilities/ielts_vocabulary_personal_record_review请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| id | number | 是 | Personal vocabulary item id. |
| rating | again | hard | good | 是 | Review rating for spaced repetition. |
| responseMs | number | 否 | Optional answer latency in milliseconds. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_vocabulary_personal_record_review' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"id":1,"rating":"again"}'请求结构
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991,
"description": "Personal vocabulary item id."
},
"rating": {
"type": "string",
"enum": [
"again",
"hard",
"good"
],
"description": "Review rating for spaced repetition."
},
"responseMs": {
"description": "Optional answer latency in milliseconds.",
"type": "integer",
"minimum": 0,
"maximum": 300000
}
},
"required": [
"id",
"rating"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在